#if !defined (data_h)
#define	data_h

typedef struct tagROMAKANATABLE {
	LPWSTR			m_strPrefix ;
	LPWSTR			m_strKana ;
	LPWSTR			m_strKatakana ;
}	ROMAKANATABLE, NEAR *PROMAKANATABLE, FAR *LPROMAKANATABLE ;

static	LPCWSTR				srSkkDefaultPrefixList [] = {
	L"by",	L"ch",	L"cy",	L"dh",	L"dy",	L"fy",	L"gy",	L"hy",
	L"jy",	L"ky",	L"my",	L"py",	L"ry",	L"sh",	L"sy",	L"th",
	L"ts",	L"ty",	L"xk",	L"xt",	L"xts", L"xw",	L"xy",	L"zy",
	L"ny",
} ;

/* [}Ȃ̕ϊe[uuv */
static	ROMAKANATABLE		srSkkDefaultRomaKanaA [] = {
	{ L"",		L"",  	L"A"   },	{ L"b",		L"",  	L"o"   },
	{ L"by",	L"т",	L"r" },	{ L"ch",	L"",	L"`" },  
	{ L"cy",	L"",	L"`" },	{ L"d", 	L"",  	L"_"   },
	{ L"dh",	L"ł",	L"f" },	{ L"dy",	L"",	L"a" },
	{ L"f",		L"ӂ",	L"t@" },	{ L"fy",	L"ӂ",	L"t" },
	{ L"g",		L"",  	L"K"   },	{ L"gy",	L"",	L"M" },
	{ L"h",		L"",  	L"n"   },	{ L"hy",	L"Ђ",	L"q" },
	{ L"j",		L"",	L"W" },	{ L"jy",	L"",	L"W" },
	{ L"k", 	L"",  	L"J"   },	{ L"ky",	L"",	L"L" },
	{ L"m", 	L"",  	L"}"   },	{ L"my",	L"݂",	L"~" },
	{ L"n", 	L"",  	L"i"   },	{ L"ny",	L"ɂ",	L"j" },
	{ L"p", 	L"",  	L"p"   },	{ L"py",	L"҂",	L"s" },
	{ L"r", 	L"",  	L""   },	{ L"ry",	L"",	L"" },
	{ L"s", 	L"",  	L"T"   },	{ L"sh",	L"",	L"V" },
	{ L"sy",	L"",	L"V" },	{ L"t", 	L"",  	L"^"   },
	{ L"th",	L"Ă",	L"e@" },	{ L"ty",	L"",	L"`" },
	{ L"v", 	L"J",	L"@" },	{ L"w", 	L"",  	L"" },
	{ L"x", 	L"",  	L"@"   },	{ L"xk",	L"",  	L"" },
	{ L"xw",	L"",  	L""   },	{ L"xy",	L"",  	L"" },
	{ L"y", 	L"",  	L""   },	{ L"z", 	L"",  	L"U"   },
	{ L"zy",	L"",	L"W" },
} ;

/* [}Ȃ̕ϊe[uuv */
static	ROMAKANATABLE		srSkkDefaultRomaKanaI [] = {
	{ L"",		L"",		L"C"   },	{ L"b",		L"",		L"r"   },
	{ L"by",	L"т",	L"rB" },	{ L"ch",	L"",  	L"`"   },
	{ L"cy",	L"",	L"`B" },	{ L"d",		L"",		L"a"   },
	{ L"dh",	L"ł",	L"fB" },	{ L"dy",	L"",	L"aB" },
	{ L"f",		L"ӂ",	L"tB" },	{ L"fy",	L"ӂ",	L"tB" },
	{ L"g",		L"",		L"M"   },	{ L"gy",	L"",	L"MB" },
	{ L"h",		L"",		L"q"   },	{ L"hy",	L"Ђ",	L"qB" },
	{ L"j",		L"",		L"W"   },	{ L"jy",	L"",	L"WB" },
	{ L"k",		L"",		L"L"   },	{ L"ky",	L"",	L"LB" },
	{ L"m",		L"",		L"~"   },	{ L"my",	L"݂",	L"~B" },
	{ L"n",		L"",		L"j"   },	{ L"ny",	L"ɂ",	L"jB" },
	{ L"p",		L"",		L"s"   },	{ L"py",	L"҂",	L"sB" },
	{ L"r",		L"",		L""   },	{ L"ry",	L"股",	L"B" },
	{ L"s",		L"",		L"V"   },	{ L"sh",	L"",		L"V"   },
	{ L"sy",	L"",	L"VB" },	{ L"t",		L"",		L"`"   },
	{ L"th",	L"Ă",	L"eB" },	{ L"ty",	L"",	L"`B" },
	{ L"v",		L"J",	L"B" },	{ L"w",		L"",	L"EB" },
	{ L"x",		L"",		L"B"   },	{ L"xw",	L"",		L""   },
	{ L"z",		L"",		L"W"   },	{ L"zy",	L"",	L"WB" },
} ;

/* [}Ȃ̕ϊe[uuv */
static	ROMAKANATABLE		srSkkDefaultRomaKanaU [] = {
	{ L"",		L"",		L"E"   },	{ L"b",		L"",		L"u"   },
	{ L"by",	L"т",	L"r" },	{ L"ch",	L"",	L"`" },
	{ L"cy",	L"",	L"`" },	{ L"d",		L"",		L"d"   },
	{ L"dh",	L"ł",	L"f" },	{ L"dy",	L"",	L"a" },
	{ L"f",		L"",		L"t"   },	{ L"fy",	L"ӂ",	L"t" },
	{ L"g",		L"",		L"O"   },	{ L"gy",	L"",	L"M" },
	{ L"h",		L"",		L"t"   },	{ L"hy",	L"Ђ",	L"q" },
	{ L"j",		L"",	L"W" },	{ L"jy",	L"",	L"W" },
	{ L"k",		L"",		L"N"   },	{ L"ky",	L"",	L"L" },
	{ L"m",		L"",		L""   },	{ L"my",	L"݂",	L"~" },
	{ L"n",		L"",		L"k"   },	{ L"ny",	L"ɂ",	L"j" },
	{ L"p",		L"",		L"v"   },	{ L"py",	L"҂",	L"s" },
	{ L"r",		L"",		L""   },	{ L"ry",	L"",	L"" },
	{ L"s",		L"",		L"X"   },	{ L"sh",	L"",	L"V" },
	{ L"sy",	L"",	L"V" },	{ L"t",		L"",		L"c"   },
	{ L"th",	L"Ă",	L"e" },	{ L"ts",	L"",		L"c"   },
	{ L"ty",	L"",	L"`" },	{ L"v",		L"J",	L""   },
	{ L"w",		L"",		L"E"   },	{ L"x",		L"",		L"D"   },
	{ L"xt",	L"",		L"b"   },	{ L"xts",	L"",		L"b"   },
	{ L"xy",	L"",		L""   },	{ L"y",		L"",		L""   },
	{ L"z",		L"",		L"Y"   },	{ L"zy",	L"",	L"W" },
} ;

/* [}Ȃ̕ϊe[uuv */
static	ROMAKANATABLE		srSkkDefaultRomaKanaE [] = {
	{ L"",		L"",		L"G"   },	{ L"b",		L"",		L"x"   },
	{ L"by",	L"т",	L"rF" },	{ L"ch",	L"",	L"`F" },
	{ L"cy",	L"",	L"`F" },	{ L"d",		L"",		L"f"   },
	{ L"dh",	L"ł",	L"fF" },	{ L"dy",	L"",	L"aF" },
	{ L"f",		L"ӂ",	L"tF" },	{ L"fy",	L"ӂ",	L"tF" },
	{ L"g",		L"",		L"Q"   },	{ L"gy",	L"",	L"MF" },
	{ L"h",		L"",		L"w"   },	{ L"hy",	L"Ђ",	L"qF" },
	{ L"j",		L"",	L"WF" },	{ L"jy",	L"",	L"WF" },
	{ L"k",		L"",		L"P"   },	{ L"ky",	L"",	L"LF" },
	{ L"m",		L"",		L""   },	{ L"my",	L"݂",	L"~F" },
	{ L"n",		L"",		L"l"   },	{ L"ny",	L"ɂ",	L"jF" },
	{ L"p",		L"",		L"y"   },	{ L"py",	L"҂",	L"sF" },
	{ L"r",		L"",		L""   },	{ L"ry",	L"肥",	L"F" },
	{ L"s",		L"",		L"Z"   },	{ L"sh",	L"",	L"VF" },
	{ L"sy",	L"",	L"VF" },	{ L"t",		L"",		L"e"   },
	{ L"th",	L"Ă",	L"eF" },	{ L"ty",	L"",	L"`F" },
	{ L"v",		L"J",	L"F" },	{ L"w",		L"",	L"EF" },
	{ L"x",		L"",		L"F"   },	{ L"xk",	L"",		L""   },
	{ L"xw",	L"",		L""   },	{ L"y",		L"",	L"CF" },
	{ L"z",		L"",		L"["   },	{ L"zy",	L"",	L"WF" },
} ;

/* [}Ȃ̕ϊe[uuv */
static	ROMAKANATABLE		srSkkDefaultRomaKanaO [] = {
	{ L"",		L"",		L"I"   },	{ L"b",		L"",		L"{"   },
	{ L"by",	L"т",	L"r" },	{ L"ch",	L"",	L"`" },
	{ L"cy",	L"",	L"`" },	{ L"d",		L"",		L"h"   },
	{ L"dh",	L"ł",	L"f" },	{ L"dy",	L"",	L"a" },
	{ L"f",		L"ӂ",	L"tH" },	{ L"fy",	L"ӂ",	L"t" },
	{ L"g",		L"",		L"S"   },	{ L"gy",	L"",	L"M" },
	{ L"h",		L"",		L"z"   },	{ L"hy",	L"Ђ",	L"q" },
	{ L"j",		L"",	L"W" },	{ L"jy",	L"",	L"W" },
	{ L"k",		L"",		L"R"   },	{ L"ky",	L"",	L"L" },
	{ L"m",		L"",		L""   },	{ L"my",	L"݂",	L"~" },
	{ L"n",		L"",		L"m"   },	{ L"ny",	L"ɂ",	L"j" },
	{ L"p",		L"",		L"|"   },	{ L"py",	L"҂",	L"s" },
	{ L"r",		L"",		L""   },	{ L"ry",	L"",	L"" },
	{ L"s",		L"",		L"\"   },	{ L"sh",	L"",	L"V" },
	{ L"sy",	L"",	L"V" },	{ L"t",		L"",		L"g"   },
	{ L"th",	L"Ă",	L"e" },	{ L"ty",	L"",	L"`" },
	{ L"v",		L"J",	L"H" },	{ L"w",		L"",		L""   },
	{ L"x",		L"",		L"H"   },	{ L"xy",	L"",		L""   },
	{ L"y",		L"",		L""   },	{ L"z",		L"",		L"]"   },
	{ L"zy",	L"",	L"W" },
} ;

#endif

