#if defined (not_work)
#include "globals.h"
#include "skimic.h"
#include "skkimmgr.h"

STDAPI
CSkkImeTextService::SetStatus (
	REFGUID		refguidProp,
	DWORD		dw)
{
	DEBUGPRINTF ((TEXT ("CSkkImeTextService::SetStatus ()\n"))) ;
	return	E_NOTIMPL ;
}

STDAPI
CSkkImeTextService::GetStatus (
	REFGUID		refguidProp,
	DWORD*		pdw)
{
	DEBUGPRINTF ((TEXT ("CSkkImeTextService::GetStatus ()\n"))) ;

	if (pdw == NULL)
		return	E_INVALIDARG ;

	if (IsEqualIID (refguidProp, GUID_PROP_ATTRIBUTE)) {
		/*	ǂׂcB*/
	} else if (IsEqualIID (refguidProp, GUID_PROP_TEXTOWNER)) {
		DEBUGPRINTF ((TEXT ("GetStatus (GUID_PROP_TEXTOWNER)\n"))) ;
		if (GetGUIDAtomFromGUID (c_clsidSkkImeTextService, pdw))
			return	S_OK ;
	} else if (IsEqualIID (refguidProp, GUID_PROP_LANGID)) {
		DEBUGPRINTF ((TEXT ("GetStatus (GUID_PROP_LANGID)\n"))) ;
		*pdw	= SKKIME_LANGID ;
		return	S_OK ;
	} else if (IsEqualIID (refguidProp, GUID_PROP_READING)) {
		/*	ǂׂcB*/
	} else if (IsEqualIID (refguidProp, GUID_PROP_COMPOSING)) {
		/*	ǂׂcB*/
	} else if (IsEqualIID (refguidProp, GUID_PROP_MODEBIAS)) {
		/*	ǂׂcB*/
	} else if (IsEqualIID (refguidProp, GUID_PROP_LMLATTICE)) {
		/*	ǂׂcB*/
	}
	return	E_NOTIMPL ;
}

#endif
