#pragma once

#define	SKKISERV_PROTO_HEADER_SIZE	(4)
#define	BYTE_ALIGN				((unsigned int)4)
#define	MAKEPAD(x)				(((x) + BYTE_ALIGN - 1) & ~(BYTE_ALIGN - 1))

#define	SKKISERV_PROTO_SEARCH				(0)
#define	SKKISERV_PROTO_RECORD				(1)
#define	SKKISERV_PROTO_PURGE				(2)
#define	SKKISERV_PROTO_COMPLETION			(3)
#define	SKKISERV_PROTO_EVAL					(4)
#define	SKKISERV_PROTO_SETCUTBUFFER			(5)
#define	SKKISERV_PROTO_GETCUTBUFFER			(6)
#define	SKKISERV_PROTO_UPDATE				(7)
#define	SKKISERV_PROTO_SEARCH_EX			(8)
#define	SKKISERV_PROTO_SETJNUMLIST			(9)
#define	SKKISERV_PROTO_SAVELOCALJISYO		(10)
#define	SKKISERV_PROTO_RECORDKAKUTEIHISTORY	(11)
#define	SKKISERV_PROTO_GETKAKUTEIHISTORY	(12)

#define	SKKISERV_PROTO_SEARCH_REPLY			(20)
#define	SKKISERV_PROTO_RECORD_REPLY			(21)
#define	SKKISERV_PROTO_PURGE_REPLY			(22)
#define	SKKISERV_PROTO_COMPLETION_REPLY		(23)
#define	SKKISERV_PROTO_EVAL_REPLY			(24)
#define	SKKISERV_PROTO_SETCUTBUFFER_REPLY	(25)
#define	SKKISERV_PROTO_GETCUTBUFFER_REPLY	(26)
#define	SKKISERV_PROTO_UPDATE_REPLY			(27)
#define	SKKISERV_PROTO_SETJNUMLIST_REPLY	(29)
#define	SKKISERV_PROTO_SAVELOCALJISYO_REPLY	(30)
#define	SKKISERV_PROTO_RECORDKAKUTEIHISTORY_REPLY	(31)	
#define	SKKISERV_PROTO_GETKAKUTEIHISTORY_REPLY	(32)
#define SKKISERV_PROTO_ERROR				(100)

/*	G[R[h
 */
#define	SKKISERV_ERROR_NOT_INITIALIZED			(0)
#define	SKKISERV_ERROR_UNEXPECTED_END_OF_PACKET	(1)
#define	SKKISERV_ERROR_INVALID_CHAR				(2)
#define	SKKISERV_ERROR_USER_ALREADY_EXIST		(3)
#define	SKKISERV_ERROR_CANT_CREATE_USER			(4)
#define	SKKISERV_ERROR_EVAL_FAIL				(200)
#define	SKKISERV_ERROR_INTERNAL_SERVER			(500)
#define	SKKISERV_ERROR_GIANT_PACKET				(501)
#define	SKKISERV_ERROR_INVALID_PACKET_SIZE		(502)
#define	SKKISERV_ERROR_BROKEN_PACKET			(503)
#define	SKKISERV_ERROR_READ						(504)
#define	SKKISERV_ERROR_NOT_IMPLEMENTED			(999)
 
