/* # SKKIME'98 (Simple Kana-Kanji Input Method Editor for Windows'98)
 * Config.h
 * This file is part of skkime'98.
 * Copyright (C) 1999
 * Takashi SAKAMOTO (tatari_sakamoto@nifty.ne.jp)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with skkinput; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#pragma once

/*
 *	ImeConfigure ŗp Dialog ̒`ɗp\̂`B
 */

/*
 *	DLGTEMPLATE
 */
typedef struct _tagMYDLGTEMPLATE {
    DWORD	style ;
    DWORD	dwExtendedStyle ; 
    WORD	cdit ;
    short	x ; 
    short	y ;
    short	cx ; 
    short	cy ; 
	LPWSTR	title ;
	WORD	fontsize ;
	LPWSTR	fontname ;
}	MYDLGTEMPLATE, NEAR *PMYDLGTEMPLATE, FAR *LPMYDLGTEMPLATE ;

/*
 *	DLGITEMTEMPLATE
 */
typedef struct _tagMYDLGITEMTEMPLATE {
    DWORD	style ;
    DWORD	dwExtendedStyle ;
    short	x ;
    short	y ;
    short	cx ;
    short	cy ;
    WORD	id ;
	WORD	class_id ;
	LPWSTR	caption ;
}	MYDLGITEMTEMPLATE, NEAR *PMYDLGITEMTEMPLATE, FAR *LPMYDLGITEMTEMPLATE ;


/*
 *	ImeConfigure ŗp Dialog `B
 */

static	MYDLGTEMPLATE		genericDlgTemplate = {
	DS_MODALFRAME | DS_NOIDLEMSG | WS_POPUP | WS_VISIBLE | WS_CAPTION | WS_OVERLAPPED | DS_SETFONT | WS_BORDER,
	0,		2,		30, 28, 147, 153,	L"Generic",			10,		L"lr oSVbN",
} ;

static	MYDLGITEMTEMPLATE	genericDlgItemTemplate [] = {
	{	WS_BORDER | WS_CHILD | WS_VISIBLE | ES_MULTILINE | ES_AUTOVSCROLL | ES_AUTOHSCROLL | ES_WANTRETURN | WS_VSCROLL | WS_HSCROLL | WS_TABSTOP,
		0,		3, 11, 141, 129,		IDC_EDIT_SKKIME_STARTUP,		0x0081,		L"",			},
	{	WS_CHILD | WS_VISIBLE,
		0,		3, 2, 39, 8,			IDC_STATIC,						0x0082,		L"SKKIME98:",	},
} ;

static	MYDLGTEMPLATE		regwordDlgTemplate = {
	DS_MODALFRAME | DS_NOIDLEMSG | WS_POPUP | WS_VISIBLE | WS_CAPTION | WS_OVERLAPPED | DS_SETFONT | WS_BORDER,
	0,		6,		46, 36, 145, 82,	L"Po^",		10,		L"lr oSVbN",
} ;

static	MYDLGITEMTEMPLATE	regwordDlgItemTemplate [] = {
	{	WS_CHILD | WS_VISIBLE,	
		0,		11, 17, 28, 8,			IDC_STATIC,						0x0082,		L"P:",		},
	{	WS_BORDER | WS_CHILD | WS_VISIBLE | ES_AUTOHSCROLL,
		0,		46, 15, 84, 12,			IDC_EDIT_STRING,				0x0081,		L"",			},
	{	WS_CHILD | WS_VISIBLE,
		0,		11, 38, 23, 8,			IDC_STATIC,						0x0082,		L"ǂ:",		},
	{	WS_BORDER | ES_AUTOHSCROLL,	
		0,		47, 34, 84, 12,			IDC_EDIT_READING,				0x0081,		L"",			},
	{	WS_CHILD | WS_VISIBLE,
		0,		11, 55, 32, 10,			IDC_STATIC,						0x0082,		L"X^C:",	},
	{	WS_BORDER | WS_CHILD | WS_VISIBLE | CBS_DROPDOWN | CBS_SORT | WS_VSCROLL | WS_TABSTOP,
		0,		46, 15, 84, 12,			IDC_COMBO_STYLE,				0x0085,		L"",			},
} ;



