#pragma once

#include "RuleTreeNode.h"

struct CSkkRuleTreeNodeOutput {
	int			m_nType ;
	union {
		struct {
			LPWSTR	m_strHira ;
			int		m_nHira ;
			LPWSTR	m_strKata ;
			int		m_nKata ;
		}	m_stringpair ;
		struct {
			LPWSTR	m_strValue ;
			int		m_nValue ;
		}	m_string ;
		int		m_nMacro ;
	}	m_uValue ;
} ;

struct CSkkRuleTreeNode {
	int						_nCH ;
	LPWSTR					_pPrefix ;			/* ԁB*/
	int						_nPrefix ;
	LPWSTR					_pNextState ;		/* ԁB*/
	int						_nNextState ;
	int						_nNextRule ;

	struct CSkkRuleTreeNodeOutput*	_pOutput ;

	struct CSkkRuleTreeNode*		_pChild ;		/* qB*/
	struct CSkkRuleTreeNode*		_pBrother ;		/* ZB*/
} ;

#define	TSkkRuleTreeNode_pGetChild(pNode)	((pNode)->_pChild)
#define	TSkkRuleTreeNode_iGetChar(pNode)	((pNode)->_nCH)
#define	TSkkRuleTreeNode_pGetBrother(pNode)	((pNode)->_pBrother)

