#pragma once

class CSkkRuleTreeNode ;
class CSkkRuleTreeNodeOutput ;
class CImeBuffer ;
class CImeConfig ;

class CSkkRuleTreeIterator {
private:
	const CSkkRuleTreeNode*	m_pSkkRuleTree ;
	int		m_iTree ;
	WCHAR	m_bufPrefix [MAXLEN_PREFIX] ;
	int		m_nPrefixLength ;
	int		m_iPreviousSelectBranchChar ;

public:
	CSkkRuleTreeIterator () : m_pSkkRuleTree (NULL), m_nPrefixLength (0), m_iPreviousSelectBranchChar (0), m_iTree (0) {
		return ;
	}
	virtual	~CSkkRuleTreeIterator () {
		return ;
	}

	/*	m_pSkkCurrentRuleTree ̑́A method oRōsB
	 */
	void	vReset () ;


	/*	m_pSkkCurrentRuleTree  Current-State ͌ȂBIterator ɊǗ
	 *	B(R͓L RuleTree  State LqɊ܂܂悤ɂȂ)
	 */
	const WCHAR*	pGetPrefix (int* pnLength) const ;
	BOOL			bHavePrefixp () const ;
	int				iGetRuleTree () const ;
	BOOL			bRootp (CImeConfig* pConfig) ;
	void			vMoveToRoot (CImeConfig* pConfig) ;
	void			vMoveTree (int iTree) ;
	BOOL			bHaveSelectBranchp (int wch) ;
	BOOL			bNextHasBranchListp (int wch) ;
	const CSkkRuleTreeNodeOutput*	pGetOutput () ;
	BOOL			bHaveNextState () ;
	int				iGetNextState (LPWSTR pwBuffer, int nBufferSize, int* pnNextTree) ;
	void			vWalk (int wch) ;
} ;

