#pragma once

/*	special-keys [] = {
 *		VK_LEFT, VK_UP, VK_DOWN, VK_RIGHT, VK_INSERT, VK_DELETE, VK_BACK, VK_TAB, VK_HOME,
 *		VK_SPACE, VK_ESCAPE, VK_KANJI, VK_HELP, VK_F1, VK_F2, VK_F3, VK_F4, VK_F5, VK_F6, 
 *		VK_F7, VK_F8, VK_F9, VK_F10, VK_F11, VK_F12, VK_CLEAR, VK_RETURN, 
 *
 *		VK_LBUTTON, VK_RBUTTON, VK_MENU1, VK_MENU2, VK_MENU3, VK_MENU4,
 *	}
 *
 *	̏ list ɓ邩H
 */
enum {
	NFUNC_NOFUNCTION				= -1,

	/*	{command */
	NFUNC_SELF_INSERT_CHARACTER	= 0,
	NFUNC_SET_MARK_COMMAND,
	NFUNC_BEGINNING_OF_LINE,
	NFUNC_BACKWARD_CHAR,
	NFUNC_MODE_SPECIFIC_COMMAND_PREFIX,
	NFUNC_DELETE_CHAR,
	NFUNC_END_OF_LINE,
	NFUNC_FORWARD_CHAR,
	NFUNC_KEYBOARD_QUIT,
	NFUNC_BACKWARD_DELETE_CHAR,
	NFUNC_INDENT_FOR_TAB_COMMAND,
	NFUNC_NEWLINE_AND_INDENT,
	NFUNC_KILL_LINE,
	NFUNC_RECENTER,
	NFUNC_NEWLINE,
	NFUNC_NEXT_LINE,
	NFUNC_OPEN_LINE,
	NFUNC_PREVIOUS_LINE,
	NFUNC_QUATED_INSERT,
	NFUNC_ISEARCH_BACKWARD,
	NFUNC_ISEARCH_FORWARD,
	NFUNC_TRANSPOSE_CHARS,
	NFUNC_UNIVERSAL_ARGUMENT,
	NFUNC_SCROLL_UP,
	NFUNC_KILL_REGION,
	NFUNC_KILL_RING_SAVE,
	NFUNC_CONTROL_X_PREFIX,
	NFUNC_YANK,
	NFUNC_SCROLL_DOWN,
	NFUNC_PREFIX_COMMAND,
	NFUNC_EXIT_RECURSIVE_EDIT,
	NFUNC_ABORT_RECURSIVE_EDIT,
	NFUNC_UNDO,
	NFUNC_TOGGLE_IME,

	NFUNC_BACKWARD_WORD,
	NFUNC_FORWARD_WORD,

	/* skk  command */
	NFUNC_SKK_COMMAND_START					= 64,
	NFUNC_SKK_INSERT						= NFUNC_SKK_COMMAND_START,
	NFUNC_SKK_KAKUTEI,
	NFUNC_SKK_START_HENKAN,
	NFUNC_SKK_TRY_COMPLETION,
	NFUNC_SKK_DELETE_BACKWARD_CHAR,
	NFUNC_SKK_PREVIOUS_CANDIDATE,
	NFUNC_SKK_TOGGLE_CHARACTERS,
	NFUNC_SKK_TOGGLE_KANA	= NFUNC_SKK_TOGGLE_CHARACTERS,
	NFUNC_SKK_MODE,
	NFUNC_SKK_LATIN_MODE,
	NFUNC_SKK_JISX0208_LATIN_MODE,
	NFUNC_SKK_SET_HENKAN_POINT_SUBR,
	NFUNC_SKK_PURGE_FROM_JISYO,
	NFUNC_SKK_ABBREV_MODE,
	NFUNC_SKK_DISPLAY_CODE_FOR_CHAR_AT_POINT,
	NFUNC_SKK_TODAY,
	NFUNC_SKK_INPUT_BY_CODE_OR_MENU,
	NFUNC_SKK_UNDO,
	NFUNC_SKK_COMP_DO,
	NFUNC_SKK_KAKUTEI_HENKAN,
	NFUNC_SKK_UNDO_KAKUTEI_HENKAN,
	NFUNC_SKK_JISX0208_LATIN_INSERT,
	NFUNC_SKK_LATIN_HENKAN,
	NFUNC_SKK_ABBREV_COMMA,
	NFUNC_SKK_ABBREV_PERIOD,
	NFUNC_SKK_TOGGLE_KUTOUTEN,
	NFUNC_SKK_TOGGLE_KATAKANA,
	NFUNC_SKK_JISX0201_HENKAN,
	NFUNC_SKK_JISX0201_MODE,
	NFUNC_SKK_TOGGLE_JISX0201,

	/* non-interactive functions */
	NFUNC_NONINTERACTIVE_FUNCTION_START		= 128,

	/* non-interactive functions */
	NFUNC_SKK_NONINTERACTIVE_FUNCTION_START	= 160,
	NFUNC_SKK_CURRENT_KUTEN					= NFUNC_SKK_NONINTERACTIVE_FUNCTION_START,
	NFUNC_SKK_CURRENT_TOUTEN,

	/*  */
	NFUNC_INVALID_CHAR						= 191,
	NUM_SELECTABLE_FUNCTIONS,

	/* */
	NFUNC_EXTRA_NEWLINE	= NUM_SELECTABLE_FUNCTIONS,
	NFUNC_MOUSE_DRAG_REGION,
	NFUNC_MOUSE_DRAG_REGION_END,
	NFUNC_MOUSE_PASTE,
	NFUNC_MOUSE_CUT,
	NFUNC_MOUSE_COPY,
	NFUNC_MOUSE_DELETE,
	NFUNC_POPUP_CONTEXT_MENU,

	/* IME interface pB*/
	NFUNC_IME_FINALIZE_CANDIDATELIST,
	NFUNC_IME_ABORT_CANDIDATELIST,
	NUM_FUNCTIONS,
} ;

