/*	ITfThreadFocusSink implementation
 *
 */
#include "globals.h"
#include "skimic.h"
#include "skkimmgr.h"
#include "IME/ImeConfig.h"

STDAPI
CSkkImeTextService::OnSetThreadFocus ()
{
	DEBUGPRINTF ((TEXT ("OnSetThreadFocus (0x%lx)\n"), m_tfClientId)) ;
	if (m_pConfig != NULL) {
		m_pConfig->vUpdate () ;
	}
	if (m_pSkkIme != NULL) {
		_UpdateLangBarItem () ;
		m_pSkkIme->OnSetFocus (TRUE) ;
	}
    return S_OK;
}

/*	OnKillThreadFocus
 *
 *	Called by the system when the thread/appartment of this text service loses
 *	the ui focus.
 */
STDAPI
CSkkImeTextService::OnKillThreadFocus ()
{
	DEBUGPRINTF ((TEXT ("OnKillThreadFocus (0x%lx)\n"), m_tfClientId)) ;
	if (m_pSkkIme != NULL)
		m_pSkkIme->OnSetFocus (FALSE) ;
    return	S_OK ;
}

