
(setq skk-prefix-list
  '("by" "ch" "cy" "dh" "dy" "fy" "gy" "hy" "jy" "ky" "my" "ny" "py" "ry" "sh" "sy"
    "th" "ts" "ty" "xk" "xt" "xts" "xw" "xy" "zy"))

(setq skk-rom-kana-rule-list
  '(("nn" nil ("" . ""))
    ("n'" nil ("" . ""))))

(setq skk-roma-kana-a
  '(("" . ("" . "A"))
    ("b" . ("" . "o")) ("by" . ("т" . "r"))
    ("ch" . ("" . "`")) ("cy" . ("" . "`")) 
    ("d" . ("" . "_")) ("dh" . ("ł" . "f"))
    ("dy" . ("" . "a"))
    ("f" . ("ӂ" . "t@")) ("fy" . ("ӂ" . "t"))
    ("g" . ("" . "K")) ("gy" . ("" . "M"))
    ("h" . ("" . "n")) ("hy" . ("Ђ" . "q"))
    ("j" . ("" . "W")) ("jy" . ("" . "W"))
    ("k" . ("" . "J")) ("ky" . ("" . "L"))
    ("m" . ("" . "}")) ("my" . ("݂" . "~"))
    ("n" . ("" . "i")) ("ny" . ("ɂ" . "j"))
    ("p" . ("" . "p")) ("py" . ("҂" . "s"))
    ("r" . ("" . "")) ("ry" . ("" . ""))
    ("s" . ("" . "T")) ("sh" . ("" . "V"))
    ("sy" . ("" . "V"))
    ("t" . ("" . "^")) ("th" . ("Ă" . "e@"))
    ("ty" . ("" . "`"))
    ("v" . ("J" . "@")) ("w" . ("" . ""))
    ("x" . ("" . "@")) ("xk" . ("" . ""))
    ("xw" . ("" . "")) ("xy" . ("" . ""))
    ("y" . ("" . ""))
    ("z" . ("" . "U")) ("zy" . ("" . "W"))))

(setq skk-roma-kana-i
  '(("" . ("" . "C"))
    ("b" . ("" . "r")) ("by" . ("т" . "rB"))
    ("ch" . ("" . "`")) ("cy" . ("" . "`B"))
    ("d" . ("" . "a")) ("dh" . ("ł" . "fB"))
    ("dy" . ("" . "aB"))
    ("f" . ("ӂ" . "tB")) ("fy" . ("ӂ" . "tB"))
    ("g" . ("" . "M")) ("gy" . ("" . "MB"))
    ("h" . ("" . "q")) ("hy" . ("Ђ" . "qB"))
    ("j" . ("" . "W")) ("jy" . ("" . "WB"))
    ("k" . ("" . "L")) ("ky" . ("" . "LB"))
    ("m" . ("" . "~")) ("my" . ("݂" . "~B"))
    ("n" . ("" . "j")) ("ny" . ("ɂ" . "jB"))
    ("p" . ("" . "s")) ("py" . ("҂" . "sB"))
    ("r" . ("" . "")) ("ry" . ("股" . "B"))
    ("s" . ("" . "V")) ("sh" . ("" . "V"))
    ("sy" . ("" . "VB"))
    ("t" . ("" . "`")) ("th" . ("Ă" . "eB"))
    ("ty" . ("" . "`B"))
    ("v" . ("J" . "B")) ("w" . ("" . "EB"))
    ("x" . ("" . "B")) ("xw" . ("" . ""))
    ("z" . ("" . "W")) ("zy" . ("" . "WB"))))

(setq skk-roma-kana-u
  '(("" . ("" . "E"))
    ("b" . ("" . "u")) ("by" . ("т" . "r"))
    ("ch" . ("" . "`")) ("cy" . ("" . "`"))
    ("d" . ("" . "d")) ("dh" . ("ł" . "f"))
    ("dy" . ("" . "a"))
    ("f" . ("" . "t")) ("fy" . ("ӂ" . "t"))
    ("g" . ("" . "O")) ("gy" . ("" . "M"))
    ("h" . ("" . "t")) ("hy" . ("Ђ" . "q"))
    ("j" . ("" . "W")) ("jy" . ("" . "W"))
    ("k" . ("" . "N")) ("ky" . ("" . "L"))
    ("m" . ("" . "")) ("my" . ("݂" . "~"))
    ("n" . ("" . "k")) ("ny" . ("ɂ" . "j"))
    ("p" . ("" . "v")) ("py" . ("҂" . "s"))
    ("r" . ("" . "")) ("ry" . ("" . ""))
    ("s" . ("" . "X")) ("sh" . ("" . "V"))
    ("sy" . ("" . "V"))
    ("t" . ("" . "c")) ("th" . ("Ă" . "e"))
    ("ts" . ("" . "c")) ("ty" . ("" . "`"))
    ("v" . ("J" . "")) ("w" . ("" . "E"))
    ("x" . ("" . "D")) ("xt" . ("" . "b"))
    ("xts" . ("" . "b")) ("xy" . ("" . ""))
    ("y" . ("" . ""))
    ("z" . ("" . "Y")) ("zy" . ("" . "W"))))

(setq skk-roma-kana-e
  '(("" . ("" . "G"))
    ("b" . ("" . "x")) ("by" . ("т" . "rF"))
    ("ch" . ("" . "`F")) ("cy" . ("" . "`F"))
    ("d" . ("" . "f")) ("dh" . ("ł" . "fF"))
    ("dy" . ("" . "aF"))
    ("f" . ("ӂ" . "tF")) ("fy" . ("ӂ" . "tF"))
    ("g" . ("" . "Q")) ("gy" . ("" . "MF"))
    ("h" . ("" . "w")) ("hy" . ("Ђ" . "qF"))
    ("j" . ("" . "WF")) ("jy" . ("" . "WF"))
    ("k" . ("" . "P")) ("ky" . ("" . "LF"))
    ("m" . ("" . "")) ("my" . ("݂" . "~F"))
    ("n" . ("" . "l")) ("ny" . ("ɂ" . "jF"))
    ("p" . ("" . "y")) ("py" . ("҂" . "sF"))
    ("r" . ("" . "")) ("ry" . ("肥" . "F"))
    ("s" . ("" . "Z")) ("sh" . ("" . "VF"))
    ("sy" . ("" . "VF"))
    ("t" . ("" . "e")) ("th" . ("Ă" . "eF"))
    ("ty" . ("" . "`F"))
    ("v" . ("J" . "F")) ("w" . ("" . "EF"))
    ("x" . ("" . "F")) ("xk" . ("" . ""))
    ("xw" . ("" . ""))
    ("y" . ("" . "CF"))
    ("z" . ("" . "[")) ("zy" . ("" . "WF"))))

(setq skk-roma-kana-o
  '(("" . ("" . "I"))
    ("b" . ("" . "{")) ("by" . ("т" . "r"))
    ("ch" . ("" . "`")) ("cy" . ("" . "`"))
    ("d" . ("" . "h")) ("dh" . ("ł" . "f"))
    ("dy" . ("" . "a"))
    ("f" . ("ӂ" . "tH")) ("fy" . ("ӂ" . "t"))
    ("g" . ("" . "S")) ("gy" . ("" . "M"))
    ("h" . ("" . "z")) ("hy" . ("Ђ" . "q"))
    ("j" . ("" . "W")) ("jy" . ("" . "W"))
    ("k" . ("" . "R")) ("ky" . ("" . "L"))
    ("m" . ("" . "")) ("my" . ("݂" . "~"))
    ("n" . ("" . "m")) ("ny" . ("ɂ" . "j"))
    ("p" . ("" . "|")) ("py" . ("҂" . "s"))
    ("r" . ("" . "")) ("ry" . ("" . ""))
    ("s" . ("" . "\")) ("sh" . ("" . "V"))
    ("sy" . ("" . "V"))
    ("t" . ("" . "g")) ("th" . ("Ă" . "e"))
    ("ty" . ("" . "`"))
    ("v" . ("J" . "H")) ("w" . ("" . ""))
    ("x" . ("" . "H")) ("xy" . ("" . ""))
    ("y" . ("" . ""))
    ("z" . ("" . "]")) ("zy" . ("" . "W"))))

(setq skk-input-vector
  [nil  nil  nil  nil  nil  nil  nil  nil
   nil  nil  nil  nil  nil  nil  nil  nil 
   nil  nil  nil  nil  nil  nil  nil  nil 
   nil  nil  nil  nil  nil  nil  nil  nil 
   nil  "I" nil  nil  nil  nil  nil  nil
   nil  nil  nil  nil  "A" "[" "B" nil
   nil  nil  nil  nil  nil  nil  nil  nil 
   nil  nil  "F" "G" nil  nil  nil  "H"
   nil  nil  nil  nil  nil  nil  nil  nil 
   nil  nil  nil  nil  nil  nil  nil  nil 
   nil  nil  nil  nil  nil  nil  nil  nil 
   nil  nil  nil  "u" nil  "v" nil  nil
   nil  nil  nil  nil  nil  nil  nil  nil 
   nil  nil  nil  nil  nil  nil  nil  nil 
   nil  nil  nil  nil  nil  nil  nil  nil 
   nil  nil  nil  nil  nil  nil  nil  nil])

(setq skk-zenkaku-vector
  [nil  nil  nil  nil  nil  nil  nil  nil
   nil  nil  nil  nil  nil  nil  nil  nil 
   nil  nil  nil  nil  nil  nil  nil  nil 
   nil  nil  nil  nil  nil  nil  nil  nil 
   "@"  "I" "h" "" "" "" "" "f"
   "i" "j" "" "{" "C" "|" "D" "^"
   "O" "P" "Q" "R" "S" "T" "U" "V"
   "W" "X" "F" "G" "" "" "" "H"
   "" "`" "a" "b" "c" "d" "e" "f"
   "g" "h" "i" "j" "k" "l" "m" "n"
   "o" "p" "q" "r" "s" "t" "u" "v"
   "w" "x" "y" "m" "_" "n" "O" "Q"
   "e" "" "" "" "" "" "" ""
   "" "" "" "" "" "" "" ""
   "" "" "" "" "" "" "" ""
   "" "" "" "o" "b" "p" "`" nil])

(setq skkinput-base-map (make-keymap))
(define-key skkinput-base-map "\0" 'j-set-mark-command)
(define-key skkinput-base-map "\1" 'j-beginning-of-line)
(define-key skkinput-base-map "\2" 'j-backward-char)
(define-key skkinput-base-map "\3" 'j-prefix-char)
(define-key skkinput-base-map "\4" 'j-delete-char)
(define-key skkinput-base-map "\5" 'j-end-of-line)
(define-key skkinput-base-map "\6" 'j-forward-char)
(define-key skkinput-base-map "\7" 'j-keyboard-quit)
(define-key skkinput-base-map "\10" 'j-delete-backward-char)
(define-key skkinput-base-map "\11" 'j-try-completion)
(define-key skkinput-base-map "\12" 'j-kanainput-mode-on)
(define-key skkinput-base-map "\13" 'j-kill-line)
(define-key skkinput-base-map "\14" 'j-redraw)
(define-key skkinput-base-map "\15" 'j-newline)
(define-key skkinput-base-map "\16" 'j-next-line)
(define-key skkinput-base-map "\20" 'j-previous-line)
(define-key skkinput-base-map "\21" 'j-toggle-jisx0201)
(define-key skkinput-base-map "\24" 'j-transpose-chars)
(define-key skkinput-base-map "\27" 'j-kill-region)
(define-key skkinput-base-map "\30" 'j-prefix-char)
(define-key skkinput-base-map "\31" 'j-yank)
(define-key skkinput-base-map "\33" 'j-prefix-char)
(define-key skkinput-base-map "\40" 'self-insert-character)
(define-key skkinput-base-map "\41" 'self-insert-character)
(define-key skkinput-base-map "\42" 'self-insert-character)
(define-key skkinput-base-map "\43" 'self-insert-character)
(define-key skkinput-base-map "\44" 'self-insert-character)
(define-key skkinput-base-map "\45" 'self-insert-character)
(define-key skkinput-base-map "\46" 'self-insert-character)
(define-key skkinput-base-map "\47" 'self-insert-character)
(define-key skkinput-base-map "\50" 'self-insert-character)
(define-key skkinput-base-map "\51" 'self-insert-character)
(define-key skkinput-base-map "\52" 'self-insert-character)
(define-key skkinput-base-map "\53" 'self-insert-character)
(define-key skkinput-base-map "\54" 'self-insert-character)
(define-key skkinput-base-map "\55" 'self-insert-character)
(define-key skkinput-base-map "\56" 'self-insert-character)
(define-key skkinput-base-map "\57" 'self-insert-character)
(define-key skkinput-base-map "\60" 'self-insert-character)
(define-key skkinput-base-map "\61" 'self-insert-character)
(define-key skkinput-base-map "\62" 'self-insert-character)
(define-key skkinput-base-map "\63" 'self-insert-character)
(define-key skkinput-base-map "\64" 'self-insert-character)
(define-key skkinput-base-map "\65" 'self-insert-character)
(define-key skkinput-base-map "\66" 'self-insert-character)
(define-key skkinput-base-map "\67" 'self-insert-character)
(define-key skkinput-base-map "\70" 'self-insert-character)
(define-key skkinput-base-map "\71" 'self-insert-character)
(define-key skkinput-base-map "\72" 'self-insert-character)
(define-key skkinput-base-map "\73" 'self-insert-character)
(define-key skkinput-base-map "\74" 'self-insert-character)
(define-key skkinput-base-map "\75" 'self-insert-character)
(define-key skkinput-base-map "\76" 'self-insert-character)
(define-key skkinput-base-map "\77" 'self-insert-character)
(define-key skkinput-base-map "\100" 'self-insert-character)
(define-key skkinput-base-map "\101" 'self-insert-character)
(define-key skkinput-base-map "\102" 'self-insert-character)
(define-key skkinput-base-map "\103" 'self-insert-character)
(define-key skkinput-base-map "\104" 'self-insert-character)
(define-key skkinput-base-map "\105" 'self-insert-character)
(define-key skkinput-base-map "\106" 'self-insert-character)
(define-key skkinput-base-map "\107" 'self-insert-character)
(define-key skkinput-base-map "\110" 'self-insert-character)
(define-key skkinput-base-map "\111" 'self-insert-character)
(define-key skkinput-base-map "\112" 'self-insert-character)
(define-key skkinput-base-map "\113" 'self-insert-character)
(define-key skkinput-base-map "\114" 'self-insert-character)
(define-key skkinput-base-map "\115" 'self-insert-character)
(define-key skkinput-base-map "\116" 'self-insert-character)
(define-key skkinput-base-map "\117" 'self-insert-character)
(define-key skkinput-base-map "\120" 'self-insert-character)
(define-key skkinput-base-map "\121" 'self-insert-character)
(define-key skkinput-base-map "\122" 'self-insert-character)
(define-key skkinput-base-map "\123" 'self-insert-character)
(define-key skkinput-base-map "\124" 'self-insert-character)
(define-key skkinput-base-map "\125" 'self-insert-character)
(define-key skkinput-base-map "\126" 'self-insert-character)
(define-key skkinput-base-map "\127" 'self-insert-character)
(define-key skkinput-base-map "\130" 'self-insert-character)
(define-key skkinput-base-map "\131" 'self-insert-character)
(define-key skkinput-base-map "\132" 'self-insert-character)
(define-key skkinput-base-map "\133" 'self-insert-character)
(define-key skkinput-base-map "\134" 'self-insert-character)
(define-key skkinput-base-map "\135" 'self-insert-character)
(define-key skkinput-base-map "\136" 'self-insert-character)
(define-key skkinput-base-map "\137" 'self-insert-character)
(define-key skkinput-base-map "\140" 'self-insert-character)
(define-key skkinput-base-map "\141" 'self-insert-character)
(define-key skkinput-base-map "\142" 'self-insert-character)
(define-key skkinput-base-map "\143" 'self-insert-character)
(define-key skkinput-base-map "\144" 'self-insert-character)
(define-key skkinput-base-map "\145" 'self-insert-character)
(define-key skkinput-base-map "\146" 'self-insert-character)
(define-key skkinput-base-map "\147" 'self-insert-character)
(define-key skkinput-base-map "\150" 'self-insert-character)
(define-key skkinput-base-map "\151" 'self-insert-character)
(define-key skkinput-base-map "\152" 'self-insert-character)
(define-key skkinput-base-map "\153" 'self-insert-character)
(define-key skkinput-base-map "\154" 'self-insert-character)
(define-key skkinput-base-map "\155" 'self-insert-character)
(define-key skkinput-base-map "\156" 'self-insert-character)
(define-key skkinput-base-map "\157" 'self-insert-character)
(define-key skkinput-base-map "\160" 'self-insert-character)
(define-key skkinput-base-map "\161" 'self-insert-character)
(define-key skkinput-base-map "\162" 'self-insert-character)
(define-key skkinput-base-map "\163" 'self-insert-character)
(define-key skkinput-base-map "\164" 'self-insert-character)
(define-key skkinput-base-map "\165" 'self-insert-character)
(define-key skkinput-base-map "\166" 'self-insert-character)
(define-key skkinput-base-map "\167" 'self-insert-character)
(define-key skkinput-base-map "\170" 'self-insert-character)
(define-key skkinput-base-map "\171" 'self-insert-character)
(define-key skkinput-base-map "\172" 'self-insert-character)
(define-key skkinput-base-map "\173" 'self-insert-character)
(define-key skkinput-base-map "\174" 'self-insert-character)
(define-key skkinput-base-map "\175" 'self-insert-character)
(define-key skkinput-base-map "\176" 'self-insert-character)
(define-key skkinput-base-map "\177" 'j-delete-char)

(setq skkinput-map (copy-keymap skkinput-base-map))
(define-key skkinput-map "\40" 'j-start-henkan)
(define-key skkinput-map "\41" 'j-self-insert)
(define-key skkinput-map "\42" 'j-self-insert)
(define-key skkinput-map "\43" 'j-self-insert)
(define-key skkinput-map "\44" 'j-display-code-for-char-at-point)
(define-key skkinput-map "\45" 'j-self-insert)
(define-key skkinput-map "\46" 'j-self-insert)
(define-key skkinput-map "\47" 'j-self-insert)
(define-key skkinput-map "\50" 'j-self-insert)
(define-key skkinput-map "\51" 'j-self-insert)
(define-key skkinput-map "\52" 'j-self-insert)
(define-key skkinput-map "\53" 'j-self-insert)
(define-key skkinput-map "\54" 'j-insert-comma)
(define-key skkinput-map "\55" 'j-self-insert)
(define-key skkinput-map "\56" 'j-insert-period)
(define-key skkinput-map "\57" 'j-abbrev-input)
(define-key skkinput-map "\60" 'j-self-insert)
(define-key skkinput-map "\61" 'j-self-insert)
(define-key skkinput-map "\62" 'j-self-insert)
(define-key skkinput-map "\63" 'j-self-insert)
(define-key skkinput-map "\64" 'j-self-insert)
(define-key skkinput-map "\65" 'j-self-insert)
(define-key skkinput-map "\66" 'j-self-insert)
(define-key skkinput-map "\67" 'j-self-insert)
(define-key skkinput-map "\70" 'j-self-insert)
(define-key skkinput-map "\71" 'j-self-insert)
(define-key skkinput-map "\72" 'j-self-insert)
(define-key skkinput-map "\73" 'j-self-insert)
(define-key skkinput-map "\74" 'j-set-henkan-point)
(define-key skkinput-map "\75" 'j-self-insert)
(define-key skkinput-map "\76" 'j-set-henkan-point)
(define-key skkinput-map "\77" 'j-set-henkan-point)
(define-key skkinput-map "\100" 'j-today)
(define-key skkinput-map "\101" 'j-set-henkan-point)
(define-key skkinput-map "\102" 'j-set-henkan-point)
(define-key skkinput-map "\103" 'j-set-henkan-point)
(define-key skkinput-map "\104" 'j-set-henkan-point)
(define-key skkinput-map "\105" 'j-set-henkan-point)
(define-key skkinput-map "\106" 'j-set-henkan-point)
(define-key skkinput-map "\107" 'j-set-henkan-point)
(define-key skkinput-map "\110" 'j-set-henkan-point)
(define-key skkinput-map "\111" 'j-set-henkan-point)
(define-key skkinput-map "\112" 'j-set-henkan-point)
(define-key skkinput-map "\113" 'j-set-henkan-point)
(define-key skkinput-map "\114" 'j-zenkaku-eiji)
(define-key skkinput-map "\115" 'j-set-henkan-point)
(define-key skkinput-map "\116" 'j-set-henkan-point)
(define-key skkinput-map "\117" 'j-set-henkan-point)
(define-key skkinput-map "\120" 'j-set-henkan-point)
(define-key skkinput-map "\121" 'j-set-henkan-point-subr)
(define-key skkinput-map "\122" 'j-set-henkan-point)
(define-key skkinput-map "\123" 'j-set-henkan-point)
(define-key skkinput-map "\124" 'j-set-henkan-point)
(define-key skkinput-map "\125" 'j-set-henkan-point)
(define-key skkinput-map "\126" 'j-set-henkan-point)
(define-key skkinput-map "\127" 'j-set-henkan-point)
(define-key skkinput-map "\130" 'j-purge-from-jisyo)
(define-key skkinput-map "\131" 'j-set-henkan-point)
(define-key skkinput-map "\132" 'j-set-henkan-point)
(define-key skkinput-map "\133" 'j-self-insert)
(define-key skkinput-map "\134" 'j-input-by-code-or-menu)
(define-key skkinput-map "\135" 'j-self-insert)
(define-key skkinput-map "\136" 'j-self-insert)
(define-key skkinput-map "\137" 'j-self-insert)
(define-key skkinput-map "\140" 'j-self-insert)
(define-key skkinput-map "\141" 'j-insert-a)
(define-key skkinput-map "\142" 'j-kana-input)
(define-key skkinput-map "\143" 'j-kana-input)
(define-key skkinput-map "\144" 'j-kana-input)
(define-key skkinput-map "\145" 'j-insert-e)
(define-key skkinput-map "\146" 'j-kana-input)
(define-key skkinput-map "\147" 'j-kana-input)
(define-key skkinput-map "\150" 'j-kana-input)
(define-key skkinput-map "\151" 'j-insert-i)
(define-key skkinput-map "\152" 'j-kana-input)
(define-key skkinput-map "\153" 'j-kana-input)
(define-key skkinput-map "\154" 'j-mode-off)
(define-key skkinput-map "\155" 'j-kana-input)
(define-key skkinput-map "\156" 'j-kana-input)
(define-key skkinput-map "\157" 'j-kana-input)
(define-key skkinput-map "\160" 'j-kana-input)
(define-key skkinput-map "\161" 'j-toggle-kana)
(define-key skkinput-map "\162" 'j-kana-input)
(define-key skkinput-map "\163" 'j-kana-input)
(define-key skkinput-map "\164" 'j-kana-input)
(define-key skkinput-map "\165" 'j-insert-u)
(define-key skkinput-map "\166" 'j-kana-input)
(define-key skkinput-map "\167" 'j-kana-input)
(define-key skkinput-map "\170" 'j-previous-candidate)
(define-key skkinput-map "\171" 'j-kana-input)
(define-key skkinput-map "\172" 'j-kana-input)
(define-key skkinput-map "\173" 'j-self-insert)
(define-key skkinput-map "\174" 'j-self-insert)
(define-key skkinput-map "\175" 'j-self-insert)
(define-key skkinput-map "\176" 'j-self-insert)

(setq skkinput-zenkaku-map (copy-keymap skkinput-base-map))
(let ((i 0))
	(while (< i 128)
		(if (aref skk-zenkaku-vector i)
			(define-key skkinput-zenkaku-map (char-to-string i) 'j-zenkaku-insert))
		(setq i (+ 1 i))))

(setq skkinput-abbrev-map (copy-keymap skkinput-base-map))
(define-key skkinput-abbrev-map "\21" 'j-zenkaku-henkan)
(define-key skkinput-abbrev-map " " 'j-start-henkan)
(define-key skkinput-abbrev-map "," 'j-abbrev-comma)
(define-key skkinput-abbrev-map "." 'j-abbrev-period)

(setq skkinput-j-nocomp-process-map	
	[nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil
	 nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil
	 t   nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil
	 t   t   t   t   t   t   t   t   t   t   t   t   t   t   t   t  
	 t   t   t   t   t   t   t   t   t   t   t   t   t   t   t   t  
	 t   t   t   t   t   t   t   t   t   t   t   t   t   t   t   t  
	 t   t   t   t   t   t   t   t   t   t   t   t   t   t   t   t  
	 nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil
	 nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil
	 nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil
	 nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil
	 nil nil nil nil nil nil nil nil nil nil t   t   t   t   t   t  
	 t   nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil
	 nil nil nil nil nil nil nil nil nil nil nil t   t   t   t   nil
	 nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil
	 nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil])

(setq skkinput-j-nocomp-control-process-map
	[nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil
	 nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil	
	 nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil	
	 nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil	
	 nil nil nil nil nil nil nil nil nil nil t   nil nil nil nil nil	
	 nil t   nil nil nil nil nil nil nil nil nil nil nil nil nil nil	
	 nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil	
	 nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil	
	 nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil	
	 nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil	
	 nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil	
	 nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil
	 nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil
	 nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil
	 nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil
	 nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil])

(setq skkinput-ascii-process-map nil)

(setq skkinput-ascii-control-process-map 
	[nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil
	 nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil	
	 nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil	
	 nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil	
	 nil nil nil nil nil nil nil nil nil nil t   nil nil nil nil nil	
	 nil t   nil nil nil nil nil nil nil nil nil nil nil nil nil nil	
	 nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil	
	 nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil	
	 nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil	
	 nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil	
	 nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil	
	 nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil
	 nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil
	 nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil
	 nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil
	 nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil])

(setq skk-kakutei-jisyo nil)

(setq skk-initial-search-jisyo nil)

(setq skk-large-jisyo nil)

(setq skk-aux-large-jisyo (concat (get-windows-directory) "\\IME\\SKKIME1.0\\SKK-JISYO.L"))

(setq skk-search-prog-list
	'((j-search-kakutei-jisyo-file skk-kakutei-jisyo 10000 t)
	  (j-search-jisyo-file skk-initial-search-jisyo 10000 t)
	  (j-search-jisyo-file skkinput-jisyo 0 t)
	  (j-search-jisyo-file skk-jisyo 0 t)
	  (j-search-jisyo-file skk-large-jisyo 10000)
	  (j-search-server skk-aux-large-jisyo 10000)))

(setq skk-jisyo nil)
(setq skkinput-jisyo nil)
(setq skkinput-backup-jisyo nil)
(setq skkinput-record-file nil)

(setq skk-date-ad nil)

(setq skk-number-style 1)

(setq skk-keep-record t)

(setq skk-server-host "localhost")

(setq skk-serv nil)

(setq skk-portnum 1178)

(setq skk-use-numeric-conversion t)

(setq skk-dabbrev-like-completion nil)

(setq skk-delete-implies-kakutei t)

(defun	times ()
	(int-to-string
		(* (string-to-int (car j-num-list))
		(string-to-int (car (cdr j-num-list))))))

(setq skkinput-delay-result-string nil)

;(setq skkinput-jisyo-code "*euc-japan*")

(setq skk-egg-like-newline	t)

(setq skkinput-henkan-face 'auto)
(setq skkinput-foreground 'auto)
(setq skkinput-background 'auto)

