#pragma once

#include "TSearchSession.h"
#include "varbuffer.h"

#define	MAXKEYWORDLEN		(256)

/*	 37 ͓ɍ킯ł͂ȂBperformance 𓾂邽߂ɂ
 *	ɂ钲KvB*/
#define	CANDIDATEHASHSIZE	(37)


struct CTSearchSessionCandidate ;

struct CTSearchSession {
	WCHAR								m_rszKeyword [MAXKEYWORDLEN] ;
	int									m_nwstrKeyword ;
	WCHAR								m_rszNumericList [MAXKEYWORDLEN] ;
	//int								_nNumericListLen ;

	struct CTSearchSessionCandidate*	m_pCurCandidate ;
	struct CTSearchSessionCandidate*	m_pTopCandidate ;
	struct CTSearchSessionCandidate*	m_pLastCandidate ;
	/*	P̏dȂ邽߂ hash table */
	struct CTSearchSessionCandidate*	m_rpTblCandidate [CANDIDATEHASHSIZE] ;
	/*	P̗܂Ƃ߂ĕێĂobt@B*/
	TVarbuffer							m_vbufCandidate ;
	int									m_nCandidate ;
	int									m_nSearchCount ;
	int									m_nParsePosition ;

	/*	ꕔ̑삾͊֐|C^łĊǗB
	 *	 vtbl ̑łB
	 */
	BOOL								(*m_pSearchProc)(struct CTSearchSession*) ;
	BOOL								(*m_pIsSeparatorpProc)(struct CTSearchSession*, int) ;
	BOOL								(*m_pNumberpProc)(const struct CTSearchSession*) ;
} ;

struct CTHenkanSession {
	struct CTSearchSession				m_Session ;

	int				m_iSearchType ;
	BOOL			m_bNumericConversion ;
	BOOL			m_bNumericFloat ;
} ;

struct CTOkuriHenkanSession {
	struct CTSearchSession				m_Session ;

	WCHAR			m_rszOkuriChar [MAXKEYWORDLEN] ;
	int				m_nOkuriCharLen ;
	int				m_iSearchType ;
	BOOL			m_bNumericConversion ;
	BOOL			m_bNumericFloat ;
} ;

struct CTCompletionSession {
	struct CTSearchSession				m_Session ;
} ;

struct CTS4Mapping {
	struct CTS4Mapping*	m_pNext ;
	LPCWSTR				m_pwKeyword ;
	LPCWSTR				m_pwResult ;
	int					m_nResultLen ;
} ;

