/* # SKKIME1.0 (Simple Kana-Kanji Input Method Editor for Windows2000)
 * vksub.h
 * This file is part of skkime1.0.
 * Copyright (C) 1999
 * Takashi SAKAMOTO (tatari_sakamoto@nifty.ne.jp)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with skkinput; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#if !defined(VKSUB_H)
#define	VKSUB_H

#define VK_0    0x030
#define VK_1    0x031
#define VK_2    0x032
#define VK_3    0x033
#define VK_4    0x034
#define VK_5    0x035
#define VK_6    0x036
#define VK_7    0x037
#define VK_8    0x038
#define VK_9    0x039
#define VK_A    0x041
#define VK_B    0x042
#define VK_C    0x043
#define VK_D    0x044
#define VK_E    0x045
#define VK_F    0x046
#define VK_G    0x047
#define VK_H    0x048
#define VK_I    0x049
#define VK_J    0x04A
#define VK_K    0x04B
#define VK_L    0x04C
#define VK_M    0x04D
#define VK_N    0x04E
#define VK_O    0x04F
#define VK_P    0x050
#define VK_Q    0x051
#define VK_R    0x052
#define VK_S    0x053
#define VK_T    0x054
#define VK_U    0x055
#define VK_V    0x056
#define VK_W    0x057
#define VK_X    0x058
#define VK_Y    0x059
#define VK_Z    0x05A

#define VK_OEM_NUMBER   VK_NUMLOCK      // NumLock
#define VK_OEM_SCROLL   VK_SCROLL       // ScrollLock
#define VK_OEM_SHIFT    0x92            // ShiftLock
#define VK_OEM_0        0x0B9           //
#define VK_OEM_9        0x0E0           // next available
#define VK_OEM_BSLASH   0x0E2           // additional Back Slash key for AX.

#endif

